Returns the version of the MySQL server as an integer

- « mysqli::$server_info

- mysqli::get_warnings »

- PHP Manual
- mysqli
- Returns the version of the MySQL server as an integer

# mysqli::$server_version

# mysqli_get_server_version

(PHP 5, PHP 7, PHP 8)

mysqli::$server_version -- mysqli_get_server_version — Returns the version of the MySQL server as an integer

### Description

Object-oriented style

int $mysqli->server_version;

Procedural style

mysqli_get_server_version(mysqli `$mysql`): int

The mysqli_get_server_version() function returns the version of the server connected to (represented by the `mysql` parameter) as an integer.

### Parameters

`mysql`

  Procedural style only: A mysqli object returned by mysqli_connect() or mysqli_init()

### Return Values

An integer representing the server version.

The form of this version number is `main_version * 10000 + minor_version * 100 + sub_version` (i.e. version 4.1.0 is 40100).

### Examples

Example #1 $mysqli->server_version example

Object-oriented style

    <?phpmysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);$mysqli = new mysqli("localhost", "my_user", "my_password");/* print server version */printf("Server version: %d\n", $mysqli->server_version);

Procedural style

    <?phpmysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);$link = mysqli_connect("localhost", "my_user", "my_password");/* print server version */printf("Server version: %d\n", mysqli_get_server_version($link));

The above examples will output something similar to:

    Server version: 80021

### See Also

- mysqli_get_client_info() - Get MySQL client info
- mysqli_get_client_version() - Returns the MySQL client version as an integer
- mysqli_get_server_info() - Returns the version of the MySQL server